{
    "path": "$OET_PATH/testcases/function_test/pkg_test/crontabs/crontabs",
    "machine num": 1,
    "cases": [
        {
            "name": "test_crontabs_function_service",
            "desc": "Test the start and stop of crontabs service"
        },
        {
            "name": "test_crontabs_function_version_check",
            "desc": "检查crontabs软件包的版本信息"
        },
        {
            "name": "test_crontabs_function_crontab_remove",
            "desc": "测试使用crontab命令删除所有任务"
        },
        {
            "name": "test_crontabs_function_install",
            "desc": "测试crontabs软件包的安装功能"
        },
        {
            "name": "test_crontabs_function_version",
            "desc": "检查crontabs软件包的版本信息"
        },
        {
            "name": "test_crontabs_service_start",
            "desc": "测试启动crontabs服务"
        },
        {
            "name": "test_crontabs_service_enable",
            "desc": "测试设置crontabs服务开机自启"
        },
        {
            "name": "test_crontabs_crontab_edit",
            "desc": "测试crontab命令编辑任务列表"
        },
        {
            "name": "test_crontabs_crontab_remove",
            "desc": "测试crontab命令删除所有任务"
        },
        {
            "name": "test_crontabs_function_crontab_specific_remove",
            "desc": "测试删除特定crontab任务"
        },
        {
            "name": "test_crontabs_run-parts_upper_l",
            "desc": "测试run-parts命令列出但不执行目录中的脚本"
        },
        {
            "name": "test_crontabs_run-parts_l",
            "desc": "测试run-parts命令列出但不执行目录中的脚本"
        },
        {
            "name": "test_crontabs_function_crontab_l",
            "desc": "测试crontab -l命令列出用户的任务"
        },
        {
            "name": "test_crontabs_function_crontab_r",
            "desc": "测试crontab -r命令删除用户所有任务"
        }
    ]
}